const ReturnReason = {
  template: `
       <a-input-group compact :id="id">
        <a-input style="width: 80%" allowClear @change="handleChange" :placeholder="placeholder" :value="defaultVal"/>
        <a-select
          style="width: 80px"
          @change="changeSel"
          :dropdownMatchSelectWidth="false"
          placeholder="选择"
          option-filter-prop="children"
          :filter-option="filterOption">
          <a-select-option v-for="item in list" :key="item" :value="item">
          {{ item }}
          </a-select-option>
        </a-select>
      </a-input-group>
    `,
  props: {
    value: {
      type: String,
      defatut: ''
    },
    id: {
      type: String,
      default: ''
    },
    placeholder: {
      type: String,
      default: '请输入退货原因'
    },
  },
  data() {
    return {
      defaultVal: this.value,
      list: [
        '漏油或者不上油',
        '外观不良：脏污、破损、脱胶、变形等',
        '尺寸问题',
        '泄压',
        '无法安装',
        '无法或不便安装',
        '抖动或跳动',
        '噪音',
        '刮雨不干净',
        '胶条断裂、脱落',
        '喇叭无声',
        '声音嘶哑或者变音',
        '浸水',
        '伤盘',
        '摩擦块掉渣，脱落或有残渣',
        '制动不足，刹车不灵敏',
        '不耐磨',
        '冒烟',
        '缺少感应线',
        '尺寸不标准',
        '不点火，间歇式失火',
        '漏电',
        '击穿',
        '烧蚀',
        '包装型号不符',
        '整体不亮/部分能亮',
        '灯珠脱落',
        '漏电短路',
        '包装型号不符/包装破损',
        '召回'
        ]
    };
  },
  mounted() {
  },
  watch: {
    value(newValue, oldValue) {
      this.defaultVal = newValue
    },
  },
  methods: {
    filterOption (input, option) {
      return (
        option.componentOptions.children[0].text.toLowerCase().indexOf(input.toLowerCase()) >= 0
      )
    },
    changeSel(value){
      this.defaultVal = value;
      this.$emit('change', value);
      this.$emit('input', value);
    },
    handleChange(e) {
      const value = e.target.value
      this.defaultVal = value;
      this.$emit('change', value);
      this.$emit('input', value);
    },
  },
};

export default ReturnReason